package com.mvc.iot.aep.model;

/**
 * AEP平台指令下发对象
 */
public class AepCommandBodyModel implements java.io.Serializable{
    private String deviceId;//设备ID，（当指令级别为设备级时必填，为设备组级时则不填）
    private String operator;//操作者，必填
    private Integer productId;//产品ID，必填
    private Integer ttl;//设备指令缓存时长，选填。单位：秒，取值范围：0-864000。
    private String deviceGroupId;//设备组ID，选填，当指令级别为设备级，
    private Integer level;//指令级别，1或2为设备级别,3为设备组级别，选填。不填默认设备级。
    private AepCommandBodyContentModel content;

    public AepCommandBodyModel(String deviceId, String operator, Integer productId,String message) {
        this.deviceId = deviceId;
        this.operator = operator;
        this.productId = productId;
        AepCommandBodyContentModel content = new AepCommandBodyContentModel(message);
        this.content = content;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getTtl() {
        return ttl;
    }

    public void setTtl(Integer ttl) {
        this.ttl = ttl;
    }

    public String getDeviceGroupId() {
        return deviceGroupId;
    }

    public void setDeviceGroupId(String deviceGroupId) {
        this.deviceGroupId = deviceGroupId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public AepCommandBodyContentModel getContent() {
        return content;
    }

    public void setContent(AepCommandBodyContentModel content) {
        this.content = content;
    }
}
